*********************************************************************
* ZZConfrm.prg
* Prompt user to confirm an action
*********************************************************************

PARAMETERS cwindow, cmsgtext

#REGION 1
PRIVATE cTitle, cReply

* If the title is a window name, convert it to the window's title.
m.cTitle = IIF( WEXIST(m.cWindow), WTITLE(m.cWindow), m.cWindow )
m.cTitle = ' ' + ALLTRIM(m.cTitle) + ' '

m.cReply = ''

DO wBeep

* We need to be sure any saved task GETS do not interfere
* with the message box operation.
DO wModalRead WITH 'read1()'

* Return True if OK selected
RETURN 'OK' $ m.cReply

* EOF - zzConfrm
***********************************************************
FUNCTION Read1
*
* Is called under control of the zzproc function wModalRead. It
* issues the GETs and executes the READ.
*

*********
#REGION 0
REGIONAL m.currarea, m.talkstat, m.compstat

IF SET("TALK") = "ON"
	SET TALK OFF
	m.talkstat = "ON"
ELSE
	m.talkstat = "OFF"
ENDIF
m.compstat = SET("COMPATIBLE")
SET COMPATIBLE FOXPLUS

m.rborder = SET("READBORDER")
SET READBORDER ON

IF NOT WEXIST("confirm") ;
	OR UPPER(WTITLE("CONFIRM")) == "CONFIRM.PJX" ;
	OR UPPER(WTITLE("CONFIRM")) == "CONFIRM.SCX" ;
	OR UPPER(WTITLE("CONFIRM")) == "CONFIRM.MNX" ;
	OR UPPER(WTITLE("CONFIRM")) == "CONFIRM.PRG" ;
	OR UPPER(WTITLE("CONFIRM")) == "CONFIRM.FRX" ;
	OR UPPER(WTITLE("CONFIRM")) == "CONFIRM.QPR"
	DEFINE WINDOW confirm ;
		AT  0.000, 0.000  ;
		SIZE 9.615,63.333 ;
		TITLE m.cTitle ;
		FONT "MS Sans Serif", 8 ;
		STYLE "B" ;
		FLOAT ;
		NOCLOSE ;
		SHADOW ;
		NOMINIMIZE ;
		DOUBLE
	MOVE WINDOW confirm CENTER
ENDIF

*********
#REGION 1
IF WVISIBLE("confirm")
	ACTIVATE WINDOW confirm SAME
ELSE
	ACTIVATE WINDOW confirm NOSHOW
ENDIF
@ 4.000,3.667 SAY cMsgText ;
	SIZE 2.000,40.750 ;
	FONT "MS Sans Serif", 10 ;
	STYLE "B"
@ 7.308,7.000 GET cReply ;
	PICTURE "@*HT \! \<OK ;\?\<Cancel" ;
	SIZE 1.385,11.500,25.000 ;
	DEFAULT 1 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B"
@ 1.308,15.833 SAY "This Action Requires Confirmation"  ;
	FONT "MS Sans Serif", 10 ;
	STYLE "B"
@ 0.154,4.833 SAY (LOCFILE("exclaim.bmp","BMP|ICO", "Where is exclaim?")) BITMAP ;
	SIZE 3.462,6.500 ;
	STYLE "T"

IF NOT WVISIBLE("confirm")
	ACTIVATE WINDOW confirm
ENDIF

READ CYCLE MODAL

RELEASE WINDOW confirm

#REGION 0

SET READBORDER &rborder

IF m.talkstat = "ON"
	SET TALK ON
ENDIF
IF m.compstat = "ON"
	SET COMPATIBLE ON
ENDIF

RETURN

* EOF - Read1()
****************************************************
****************************************************
****************************************************
* EOF - zzconfrm.prg
