* ZZfind.prg
* Find a record in zzmast.dbf
* based on 10 original indexes
*

PARAMETERS cwintitle


#REGION 1

* Don't interfere with calling task's variables.
PRIVATE ALL EXCEPT _*

* Remember the record we started on in case user cancels.
IF RECNO() > RECCOUNT()
  RETURN inform('There are no records in this table')
ELSE
  nRecno = RECNO()
ENDIF

* Initial value for popup should be the current order.
DO CASE
CASE ORDER() = 'ZZ1'
  cTagname = _aTags[1]
  NdxChoice = 1
CASE ORDER() = 'ZZ2'
  cTagname = _aTags[2]
  NdxChoice = 2
CASE ORDER() = 'ZZ3'
  cTagname = _aTags[3]
  NdxChoice = 3
CASE ORDER() = 'ZZ4'
  cTagname = _aTags[4]
  NdxChoice = 4
CASE ORDER() = 'ZZ5'
  cTagname = _aTags[5]
  NdxChoice = 5
CASE ORDER() = 'ZZ6'
  cTagname = _aTags[6]
  NdxChoice = 6
CASE ORDER() = 'ZZ7'
  cTagname = _aTags[7]
  NdxChoice = 7
CASE ORDER() = 'ZZ8'
  cTagname = _aTags[8]
  NdxChoice = 8
CASE ORDER() = 'ZZ9'
  cTagname = _aTags[9]
  NdxChoice = 9
CASE ORDER() = 'ZZ10'
  cTagname = _aTags[10]
  NdxChoice = 10
CASE ORDER() = 'ZZ11'
  cTagname = _aTags[11]
  NdxChoice = 11
CASE ORDER() = 'ZZ12'
  cTagname = _aTags[12]
  NdxChoice = 12
OTHERWISE
  cTagname = _aTags[1]
  NdxChoice = 1
ENDCASE

* Place index labels into memvar for user to choose
* in radio button GET below

NdxFunct = '[*RNV '+_aTags[1] ;
             +';'+_aTags[2] ;
             +';'+_aTags[3] ;
             +';'+_aTags[4] ;
             +';'+_aTags[5] ;
             +';'+_aTags[6] ;
             +';'+_aTags[7] ;
             +';'+_aTags[8] ;
             +';'+_aTags[9] ;
             +';'+_aTags[10] ;
             +';'+_aTags[11] ;
             +';'+_aTags[12] +']'

cOption = ""

DO wModalRead with "read1()"

RETURN

* EOF - Procedure zzFind
***********************************************************
FUNCTION read1
*
* Main gets/read for zzfind.prg
*

*********
#REGION 0
REGIONAL m.currarea, m.talkstat, m.compstat

IF SET("TALK") = "ON"
	SET TALK OFF
	m.talkstat = "ON"
ELSE
	m.talkstat = "OFF"
ENDIF
m.compstat = SET("COMPATIBLE")
SET COMPATIBLE FOXPLUS

IF NOT WEXIST("findit") ;
  OR UPPER(WTITLE("FINDIT")) == "ZZFIND.PJX" ;
  OR UPPER(WTITLE("FINDIT")) == "ZZFIND.SCX" ;
  OR UPPER(WTITLE("FINDIT")) == "ZZFIND.MNX" ;
  OR UPPER(WTITLE("FINDIT")) == "ZZFIND.PRG" ;
  OR UPPER(WTITLE("FINDIT")) == "ZZFIND.FRX" ;
  OR UPPER(WTITLE("FINDIT")) == "ZZFIND.QPR"
  DEFINE WINDOW findit ;
	AT  0.000, 0.000  ;
	SIZE 20,43.500 ;
	TITLE ' ' + cWinTitle + ' Find ' ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B" ;
	FLOAT ;
	NOCLOSE ;
	SHADOW ;
	NOMINIMIZE ;
	DOUBLE
  MOVE WINDOW findit CENTER
ENDIF
*	SIZE 8.308,43.500 ;

*********
#REGION 1
IF WVISIBLE("findit")
	ACTIVATE WINDOW findit SAME
ELSE
	ACTIVATE WINDOW findit NOSHOW
ENDIF

* m._Find1,2,3,4,5... and m.Fpic1,2,3,4,5....
* are defined in zzinit.prg at startup 

@ 15.077,2.500 get m._Find1 ;
	SIZE 1.000,29.625,0.000 ;
	PICTURE m._Fpic1 ;
	DISABLE ;
	DEFAULT " " ;
	FONT "FoxFont", 9
@ 15.077,2.500 get m._Find2 ;
	SIZE 1.000,29.625,0.000 ;
	PICTURE m._Fpic2 ;
	DISABLE ;
	DEFAULT " " ;
	FONT "FoxFont", 9
@ 15.077,2.500 get m._Find3 ;
	SIZE 1.000,29.625,0.000 ;
	PICTURE m._Fpic3 ;
	DISABLE ;
	DEFAULT " " ;
	FONT "FoxFont", 9
@ 15.077,2.500 get m._Find4 ;
	SIZE 1.000,29.625,0.000 ;
	PICTURE m._Fpic4 ;
	DISABLE ;
	DEFAULT " " ;
	FONT "FoxFont", 9
@ 15.077,2.500 get m._Find5 ;
	SIZE 1.000,29.625,0.000 ;
	PICTURE m._Fpic5 ;
	DISABLE ;
	DEFAULT " " ;
	FONT "FoxFont", 9
@ 15.077,2.500 get m._Find6 ;
	SIZE 1.000,29.625,0.000 ;
	PICTURE m._Fpic6 ;
	DISABLE ;
	DEFAULT " " ;
	FONT "FoxFont", 9
@ 15.077,2.500 get m._Find7 ;
	SIZE 1.000,29.625,0.000 ;
	PICTURE m._Fpic7 ;
	DISABLE ;
	DEFAULT " " ;
	FONT "FoxFont", 9
@ 15.077,2.500 get m._Find8 ;
	SIZE 1.000,29.625,0.000 ;
	PICTURE m._Fpic8 ;
	DISABLE ;
	DEFAULT " " ;
	FONT "FoxFont", 9
@ 15.077,2.500 get m._Find9 ;
	SIZE 1.000,29.625,0.000 ;
	PICTURE m._Fpic9 ;
	DISABLE ;
	DEFAULT " " ;
	FONT "FoxFont", 9
@ 15.077,2.500 get m._Find10 ;
	SIZE 1.000,29.625,0.000 ;
	PICTURE m._Fpic10 ;
	DISABLE ;
	DEFAULT " " ;
	FONT "FoxFont", 9
@ 15.077,2.500 get m._Find11 ;
	SIZE 1.000,29.625,0.000 ;
	PICTURE m._Fpic11 ;
	DISABLE ;
	DEFAULT " " ;
	FONT "FoxFont", 9
@ 15.077,2.500 get m._Find12 ;
	SIZE 1.000,29.625,0.000 ;
	PICTURE m._Fpic12 ;
	DISABLE ;
	DEFAULT " " ;
	FONT "FoxFont", 9


@ 17.077,2.500 GET cOption ;
	PICTURE "@*HN \!\<Find;\?Cancel" ;
	SIZE 1.462,13.833,11.000 ;
	DEFAULT 1 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B" ;
	VALID _FndOptn()

@  1, 1 GET NdxChoice ;
    FUNCTION &NdxFunct ;
	FONT "MS Sans Serif", 8 ;
	VALID _NdxName()

@ 13.846,0.000 TO 13.846,43.333 ;
	PEN 2, 8 ;
	STYLE "1"

* ENABLE one of the 10 index "GETS" according to current order
DO CASE
CASE ORDER() = 'ZZ1'
  SHOW GET m._Find1 ENABLE
CASE ORDER() = 'ZZ2'
  SHOW GET m._Find2 ENABLE
CASE ORDER() = 'ZZ3'
  SHOW GET m._Find3 ENABLE
CASE ORDER() = 'ZZ4'
  SHOW GET m._Find4 ENABLE
CASE ORDER() = 'ZZ5'
  SHOW GET m._Find5 ENABLE
CASE ORDER() = 'ZZ6'
  SHOW GET m._Find6 ENABLE
CASE ORDER() = 'ZZ7'
  SHOW GET m._Find7 ENABLE
CASE ORDER() = 'ZZ8'
  SHOW GET m._Find8 ENABLE
CASE ORDER() = 'ZZ9'
  SHOW GET m._Find9 ENABLE
CASE ORDER() = 'ZZ10'
  SHOW GET m._Find10 ENABLE
CASE ORDER() = 'ZZ11'
  SHOW GET m._Find10 ENABLE
CASE ORDER() = 'ZZ12'
  SHOW GET m._Find10 ENABLE
OTHERWISE
  SHOW GET m._Find1 ENABLE
ENDCASE

IF NOT WVISIBLE("findit")
	ACTIVATE WINDOW findit
ENDIF

READ CYCLE MODAL

RELEASE WINDOW findit

#REGION 0
IF m.talkstat = "ON"
	SET TALK ON
ENDIF
IF m.compstat = "ON"
	SET COMPATIBLE ON
ENDIF

RETURN

* EOF - Read1()
***********************************************************
FUNCTION _FndOptn
*
* cOption VALID
*

*********
#REGION 1

IF cOption = "Find"

  DO CASE
  CASE NdxChoice = 1
    cKeyString = m._Find1
  CASE NdxChoice = 2
    cKeyString = m._Find2
  CASE NdxChoice = 3
    cKeyString = m._Find3
  CASE NdxChoice = 4
    cKeyString = m._Find4
  CASE NdxChoice = 5
    cKeyString = m._Find5
  CASE NdxChoice = 6
    cKeyString = m._Find6
  CASE NdxChoice = 7
    cKeyString = m._Find7
  CASE NdxChoice = 8
    cKeyString = m._Find8
  CASE NdxChoice = 9
    cKeyString = m._Find9
  CASE NdxChoice = 10
    cKeyString = m._Find10
  CASE NdxChoice = 11
    cKeyString = m._Find11
  CASE NdxChoice = 12
    cKeyString = m._Find12
  OTHERWISE
    cKeyString = m._Find1
  ENDCASE

  IF TYPE('cKeyString') = 'C'
    cKeyString = ALLTRIM(cKeyString)
  ELSE
*    WAIT ckeystring window timeout 2
  ENDIF

  SEEK cKeyString
  
  DO CASE

  CASE EMPTY(_Filt)
    * go to exact or nearest match if no filter in effect
    * limited access users always have a filter,
    * usually it is "Owner = [xxx]" (user initials)
  CASE _Ok2All AND EMPTY(_Filt)
    * go to exact or nearest match if user has access to all records
  CASE _Ok2All AND ( NOT EMPTY(_Filt) ) AND &_Filt 
    * if rec matches filter, edit record
  CASE _Ok2All AND ( NOT EMPTY(_Filt) ) AND ( NOT &_Filt )
    * find next record that matches
    *SKIP
    SCAN REST FOR &_Filt
      EXIT
    ENDSCAN
  CASE ( NOT _Ok2All ) AND &_Filt 
    * user has limited access,
    * match or near match found for "Owned" record
  OTHERWISE
    * find next "Owned" or filtered record that matches search
    *SKIP
    SCAN REST FOR &_Filt
      EXIT
    ENDSCAN
    * insert this if you want a "not exact match" warning
    * RETURN inform('"' + cKeyString + '" could not be found')
  ENDCASE
ELSE
  GO nRecno
ENDIF

_CUROBJ = 1

* If we found a record, we are all done - return with record
* pointer left on the one we found.
CLEAR READ

RETURN .T.

* EOF - _FndOptn()
***********************************************************
FUNCTION _NdxName
*
* NdxChoice VALID, Determine user chosen index order
* ENABLE appropriate GET to search appropriate index

*********
#REGION 1
* Disable all but 1 index "GETS" according to current order
SHOW GET m._Find1  DISABLE
SHOW GET m._Find2  DISABLE
SHOW GET m._Find3  DISABLE
SHOW GET m._Find4  DISABLE
SHOW GET m._Find5  DISABLE
SHOW GET m._Find6  DISABLE
SHOW GET m._Find7  DISABLE
SHOW GET m._Find8  DISABLE
SHOW GET m._Find9  DISABLE
SHOW GET m._Find10 DISABLE
SHOW GET m._Find11 DISABLE
SHOW GET m._Find12 DISABLE

DO CASE
CASE NdxChoice = 1
  SET ORDER TO 1
  SHOW GET m._Find1 ENABLE
CASE NdxChoice = 2
  SET ORDER TO 2
  SHOW GET m._Find2 ENABLE
CASE NdxChoice = 3
  SET ORDER TO 3
  SHOW GET m._Find3 ENABLE
CASE NdxChoice = 4
  SET ORDER TO 4
  SHOW GET m._Find4 ENABLE
CASE NdxChoice = 5
  SET ORDER TO 5
  SHOW GET m._Find5 ENABLE
CASE NdxChoice = 6
  SET ORDER TO 6
  SHOW GET m._Find6 ENABLE
CASE NdxChoice = 7
  SET ORDER TO 7
  SHOW GET m._Find7 ENABLE
CASE NdxChoice = 8
  SET ORDER TO 8
  SHOW GET m._Find8 ENABLE
CASE NdxChoice = 9
  SET ORDER TO 9
  SHOW GET m._Find9 ENABLE
CASE NdxChoice = 10
  SET ORDER TO 10
  SHOW GET m._Find10 ENABLE
CASE NdxChoice = 11
  SET ORDER TO 11
  SHOW GET m._Find11 ENABLE
CASE NdxChoice = 12
  SET ORDER TO 12
  SHOW GET m._Find12 ENABLE
OTHERWISE
  SET ORDER TO 1
  SHOW GET m._Find1 ENABLE
ENDCASE

_CUROBJ = 1

RETURN

* EOF - _NdxName()
****************************************************
****************************************************
****************************************************
* EOF - zzfind.prg
